commit: 5cccdc8ee5c2332f858788c12ede75fa9938b22e
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 18 20:49:34 2019 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Dec 18 20:49:47 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cccdc8e
dev-util/smem: bump to version 1.5
Latest version adds python3 support.
Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
dev-util/smem/Manifest | 1 +
dev-util/smem/smem-1.5.ebuild | 36 ++++++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-util/smem/Manifest b/dev-util/smem/Manifest
index 03ce62ba268..9c63ceb5a57 100644
--- a/dev-util/smem/Manifest
+++ b/dev-util/smem/Manifest
@@ -1 +1,2 @@
DIST smem-1.4.tar.gz 15733 BLAKE2B
6c097c10625050a9d3a133144054d9791bb0ae2f498335398889b58c243b4477d38aefd8203a0483016647a6a72b4bcf4b9af23c241c0e87494614ca6cdaeade
SHA512
2740b9ebede8e742e3d01f5f2e7a77a4d3ed04bee78585a904d07c299ea5a77be135dd5b6626abfdebcf2742b9004035443d3faeca04ca9b59c603f74708af9b
+DIST smem-1.5.tar.xz 16016 BLAKE2B
7c7e5dae6b047780275eebe2b9ec4fb06b27b8d3d2e70fc50c07136c18d414d7f51203760ab3bca98906c6566633c908dd18a7a8c390339850d80ad1ffe7f188
SHA512
8f3f5447060e6d857c3eb59ccbebbd62f18280f3993b31e55369b31ea74bc0e54109fd6d3f7088a23c48af050ff67eb738efceb0adeaff1dc7466f50efd9bc82
diff --git a/dev-util/smem/smem-1.5.ebuild b/dev-util/smem/smem-1.5.ebuild
new file mode 100644
index 00000000000..d536b2ed6a3
--- /dev/null
+++ b/dev-util/smem/smem-1.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+
+inherit eutils python-single-r1 toolchain-funcs
+
+DESCRIPTION="A tool that can give numerous reports on memory usage on Linux
systems"
+HOMEPAGE="https://www.selenic.com/smem/"
+SRC_URI="https://dev.gentoo.org/~conikost/files/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}"
+BDEPEND="${RDEPEND}"
+
+src_compile() {
+ "$(tc-getCC)" ${CFLAGS} ${LDFLAGS} -o smemcap smemcap.c || die
+}
+
+src_install() {
+ dobin smemcap
+ python_doexe smem
+
+ dodoc README.txt
+ doman smem.8
+}
+
+pkg_postinst() {
+ optfeature "for chart generation." dev-python/matplotlib
+}